# Class TableColumnOptionComponent

#### Implements

- OnInit

- Defined in packages/angular/material/table-system/src/lib/table-column-menu/table-column-option/table-column-option.component.ts:20

#####
Index

### Constructors

constructor

### Properties

_element
_hidden
active
name
router

### Accessors

cacheId
display
hidden
inactive
show

### Methods

activate
deactivate
ngOnInit
toggle

## Constructors

### constructor

- new TableColumnOptionComponent(_element, router): TableColumnOptionComponent

- #### Parameters

  - _element: ElementRef<HTMLElement>
  - router: Router

  #### Returns TableColumnOptionComponent

  - Defined in packages/angular/material/table-system/src/lib/table-column-menu/table-column-option/table-column-option.component.ts:60

## Properties

### `Private` _element

_element: ElementRef<HTMLElement>

- Defined in packages/angular/material/table-system/src/lib/table-column-menu/table-column-option/table-column-option.component.ts:62

### `Private` _hidden

_hidden: boolean = false

- Defined in packages/angular/material/table-system/src/lib/table-column-menu/table-column-option/table-column-option.component.ts:49

### active

active: boolean = true

- Defined in packages/angular/material/table-system/src/lib/table-column-menu/table-column-option/table-column-option.component.ts:25

### name

name: string

- Defined in packages/angular/material/table-system/src/lib/table-column-menu/table-column-option/table-column-option.component.ts:22

### `Private` `Readonly` router

router: Router

- Defined in packages/angular/material/table-system/src/lib/table-column-menu/table-column-option/table-column-option.component.ts:63

## Accessors

### `Private` cacheId

- get cacheId(): string

- #### Returns string

  - Defined in packages/angular/material/table-system/src/lib/table-column-menu/table-column-option/table-column-option.component.ts:56

### display

- get display(): string

- The displayed value of the option. It is necessary to show the selected option in the select's trigger.

  #### Returns string

  - Defined in packages/angular/material/table-system/src/lib/table-column-menu/table-column-option/table-column-option.component.ts:31

### hidden

- get hidden(): boolean | ""

- #### Returns boolean | ""

  - Defined in packages/angular/material/table-system/src/lib/table-column-menu/table-column-option/table-column-option.component.ts:45
- set hidden(value): void

- #### Parameters

  - value: boolean | ""

  #### Returns void

  - Defined in packages/angular/material/table-system/src/lib/table-column-menu/table-column-option/table-column-option.component.ts:41

### inactive

- set inactive(value): void

- #### Parameters

  - value: boolean | ""

  #### Returns void

  - Defined in packages/angular/material/table-system/src/lib/table-column-menu/table-column-option/table-column-option.component.ts:36

### show

- set show(value): void

- #### Parameters

  - value: boolean

  #### Returns void

  - Defined in packages/angular/material/table-system/src/lib/table-column-menu/table-column-option/table-column-option.component.ts:52

## Methods

### activate

- activate(): void

- #### Returns void

  - Defined in packages/angular/material/table-system/src/lib/table-column-menu/table-column-option/table-column-option.component.ts:82

### deactivate

- deactivate(): void

- #### Returns void

  - Defined in packages/angular/material/table-system/src/lib/table-column-menu/table-column-option/table-column-option.component.ts:87

### ngOnInit

- ngOnInit(): void

- #### Returns void

  Implementation of OnInit.ngOnInit

  - Defined in packages/angular/material/table-system/src/lib/table-column-menu/table-column-option/table-column-option.component.ts:67

### toggle

- toggle(): void

- #### Returns void

  - Defined in packages/angular/material/table-system/src/lib/table-column-menu/table-column-option/table-column-option.component.ts:77